# TdApi.ThemeSettings (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ThemeSettings

Package it.tdlight.jni

# Class TdApi.ThemeSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ThemeSettings

Enclosing class:
  TdApi

    public static class TdApi.ThemeSettings
    extends TdApi.Object

Describes theme settings.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `accentColor` | Theme accent color in ARGB format.
`boolean` | `animateOutgoingMessageFill` | If true, the freeform gradient fill needs to be animated on every sent message.
`TdApi.Background` | `background` | The background to be used in chats; may be null.
`static int` | `CONSTRUCTOR` |
`int` | `outgoingMessageAccentColor` | Accent color of outgoing messages in ARGB format.
`TdApi.BackgroundFill` | `outgoingMessageFill` | The fill to be used as a background for outgoing messages.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ThemeSettings()` | Describes theme settings.
`ThemeSettings​(int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)` | Describes theme settings.
`ThemeSettings​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### accentColor

public int accentColor
Theme accent color in ARGB format.

### background

public TdApi.Background background
The background to be used in chats; may be null.

### outgoingMessageFill

public TdApi.BackgroundFill outgoingMessageFill
The fill to be used as a background for outgoing messages.

### animateOutgoingMessageFill

public boolean animateOutgoingMessageFill
If true, the freeform gradient fill needs to be animated on every sent message.

### outgoingMessageAccentColor

public int outgoingMessageAccentColor
Accent color of outgoing messages in ARGB format.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ThemeSettings

public ThemeSettings()
Describes theme settings.

### ThemeSettings

public ThemeSettings​(int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)
Describes theme settings.

Parameters:
  `accentColor` - int Theme accent color in ARGB format.
  `background` - Background The background to be used in chats; may be null.
  `outgoingMessageFill` - BackgroundFill The fill to be used as a background for outgoing messages.
  `animateOutgoingMessageFill` - boolean If true, the freeform gradient fill needs to be animated on every sent message.
  `outgoingMessageAccentColor` - int Accent color of outgoing messages in ARGB format.

### ThemeSettings

public ThemeSettings​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`